package com.bocloud.ams.booter.controller.module;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.bocloud.ams.entity.module.Property;
import com.bocloud.ams.service.module.PropertyService;
import com.megatron.common.model.GeneralResult;

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;

@RestController
@RequestMapping("/v1/property")
@Tag(name = "模型属性管理")
public class PropertyController {

    @Autowired
    private PropertyService propertyService;

    /**
     * 查询属性详情
     *
     * @param propertyId
     * @return
     */
    @GetMapping(value = "/{propertyId}")
    @Operation(summary = "模型属性详情")
    public GeneralResult<Property> propertyDetail(@PathVariable(value = "propertyId") Long propertyId,
                                                  @RequestParam(value = "positionKey", required = false) String positionKey) {
        return propertyService.detail(propertyId, positionKey);
    }

}
