package com.bocloud.ams.entity.association;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateDeserializer;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.*;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @Author liuyuanyuan
 * @Date 2022/5/9 0009 16:31
 * @Description:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
@Table("ci_auto_relation_rule_item")
@EqualsAndHashCode(callSuper = true)
public class AutoRelationRuleItem extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column(value = "relation_rule_id")
    private Long relationRuleId;
    @Column(value = "source_field")
    private Long sourceField;
    @Column(value = "target_field")
    private Long targetField;
    @Column(value = "is_deleted")
    private Boolean deleted;
    @Column(value = "remark")
    private String remark;
    @IgnoreUpdate
    @Column(value = "gmt_create", nullable = false)
    @JsonSerialize(using = DateSerializer.class)
    @JsonDeserialize(using = DateDeserializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;
    @Column("gmt_modify")
    @JsonSerialize(using = DateSerializer.class)
    @JsonDeserialize(using = DateDeserializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModify;
    @IgnoreUpdate
    @Column("creator_id")
    private Long creatorId;
    @Column("mender_id")
    private Long menderId;
    @IgnoreAll
    private List<AutoRelationRuleItemValue> values;
    @IgnoreAll
    private String sourceFieldName;
    @IgnoreAll
    private String targetFieldName;
    @IgnoreAll
    private String sourceFieldType;
    @IgnoreAll
    private String targetFieldType;
    @IgnoreAll
    private String sourceFieldCode;
    @IgnoreAll
    private String targetFieldCode;
}
