package com.bocloud.ams.entity.association;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateDeserializer;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.*;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author liuyuanyuan
 * @Date 2022/5/11 0011 18:59
 * @Description:
 */
@Data
@Table("ci_auto_relation_rule_item_value")
@EqualsAndHashCode(callSuper = true)
public class AutoRelationRuleItemValue extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column(value = "relation_rule_id")
    private Long relationRuleId;
    @Column(value = "item_id")
    private Long itemId;
    @Column(value = "source_module_id")
    private Long isSourceId;
    @Column(value = "target_module_id")
    private Long isTargetId;
    @Column(value = "source_property_id")
    private Long sourceValue;
    @Column(value = "target_property_id")
    private Long targetValue;
    @Column(value = "is_deleted")
    private Boolean deleted;
    @Column(value = "remark")
    private String remark;
    @IgnoreUpdate
    @Column(value = "gmt_create", nullable = false)
    @JsonSerialize(using = DateSerializer.class)
    @JsonDeserialize(using = DateDeserializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;
    @Column("gmt_modify")
    @JsonSerialize(using = DateSerializer.class)
    @JsonDeserialize(using = DateDeserializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModify;
    @IgnoreUpdate
    @Column("creator_id")
    private Long creatorId;
    @Column("mender_id")
    private Long menderId;

    /**
     * 规则结构项code
     */
    @IgnoreAll
    private String sourceFieldCode;
    @IgnoreAll
    private String targetFieldCode;

    @IgnoreAll
    private String sourceFieldName;
    @IgnoreAll
    private String targetFieldName;

    @IgnoreAll
    private String sourceFieldType;
    @IgnoreAll
    private String targetFieldType;


}
