package com.bocloud.ams.entity.audit;


import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Author liuyuanyuan
 * @Date 2022/5/23 0023 17:47
 * @Description:
 */
@Data
@Table("ci_operational_audit")
@EqualsAndHashCode(callSuper = true)
public class OperationalAudit extends GenericEntity {
    @PK(value = PKStrategy.AUTO)
    private Long id;

    @Column("type_code")
    private String typeCode;

    /**
     * 操作类型
     */
    @Column("type")
    private String type;

    /**
     * 变更前
     */
    @Column("oa_before")
    private String oaBefore;

    /**
     * 变更后
     */
    @Column("oa_after")
    private String oaAfter;

    @Column("module_code")
    private String moduleCode;

    @Column("instance_id")
    private Long instanceId;

    @Column("operator")
    private String operator;

    @IgnoreAll
    private String dateStr;

}
