package com.bocloud.ams.entity.audit;


import com.bocloud.ams.annotation.ColumnType;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateDeserializer;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreUpdate;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author majiali
 * @Date 2023/4/240023 17:47
 * @Description:
 */

@Data
@Table("ci_operational_audit_bak")
public class OperationalAuditBak extends Generic {
    @PK(value = PKStrategy.SELF)
    private Long id;

    @Column(value = "type_code",length=100)
    private String typeCode;

    /**
     * 操作类型
     */
    @Column(value = "type",length=100)
    private String type;

    /**
     * 变更前
     */
    @ColumnType(value = "text")
    @Column(value = "oa_before")
    private String oaBefore;

    /**
     * 变更后
     */
    @ColumnType(value = "text")
    @Column(value = "oa_after")
    private String oaAfter;

    @Column(value = "module_code",length=100)
    private String moduleCode;

    @Column(value = "instance_id")
    private Long instanceId;

    @Column(value = "operator",length=500)
    private String operator;

    @IgnoreUpdate
    @Column(
            value = "gmt_create",
            nullable = false
    )
    @JsonSerialize(
            using = DateSerializer.class
    )
    @JsonDeserialize(
            using = DateDeserializer.class
    )
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date gmtCreate;
    @Column("gmt_modify")
    @JsonSerialize(
            using = DateSerializer.class
    )
    @JsonDeserialize(
            using = DateDeserializer.class
    )
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date gmtModify;
    @IgnoreUpdate
    @Column("creator_id")
    private Long creatorId;
    @Column("owner_id")
    private Long ownerId;
    @Column("mender_id")
    private Long menderId;
    @Column(value = "name",length = 100)
    private String name;
    @Column(value = "status",length = 16)
    private String status;
    @Column("is_deleted")
    private Boolean deleted;
    @Column(value = "props",length = 1000)
    private String props;
    @Column(value = "remark",length = 1000)
    private String remark;

}
