package com.bocloud.ams.entity.collection;



import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName: CollectionHistory
 * @Description 采集记录详情
 * @Author yangzhenrong
 * @Date 2022/6/15 19:57
 * @Version 1.0
 **/
@Data
@Table("ci_collection_history_item")
@EqualsAndHashCode(callSuper = true)
public class CollectionHistoryItem extends Generic {
    @PK
    private Long id;
    @Column(value = "history_id", nullable = false)
    private Long historyId;
    @Column(value = "property_id", nullable = false)
    private Long propertyId;
    @Column(value = "property_code", length = 256, nullable = false)
    private String propertyCode;
    @Column(value = "before_value", length = 2056)
    private String beforeValue;
    @Column(value = "after_value", length = 2056)
    private String afterValue;
    @IgnoreAll
    private String propertyName;
    @IgnoreAll
    private String tableName;

}
