package com.bocloud.ams.entity.collection;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Author liuyuanyuan
 * @Date 2022/6/8 0008 17:03
 * @Description:
 */
@Data
@Table("ci_collection_task")
@EqualsAndHashCode(callSuper = true)
public class CollectionTask extends GenericEntity {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("uuid")
    private String uuid;
    @Column("type")
    private String type;
    @Column("graph")
    private Object graph;
    @Column("cron")
    private String cron;
    @Column("module_id")
    private Long moduleId;
    @Column("template_id")
    private Long templateId;
    @Column("reconcile")
    private Boolean reconcile = false;
    @Column("auto_relation")
    private Boolean autoRelation = false;
    @IgnoreAll
    private String creator;
    @IgnoreAll
    private String mender;
    @IgnoreAll
    private String templateName;
    @IgnoreAll
    private String moduleName;
}
