package com.bocloud.ams.entity.module;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Author 胡立伟
 * @Date 2022/4/29 0029 16:31
 * @Description:
 */
@Data
@Table("ci_module")
@EqualsAndHashCode(callSuper = true)
public class CiModule extends GenericEntity {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("module_group_id")
    private Long groupId;
    @Column("code")
    private String code;
    @Column("name_space")
    private String nameSpace;
    @Column("icon_image")
    private String iconImage;
    @Column("is_disabled")
    private Boolean disabled;
    @Column("is_reserved")
    private Boolean reserved;
    @IgnoreAll
    private int instanceNum;
    //当前模型所属分组的父分组id
    @IgnoreAll
    private Long parentGroupId;
}
