package com.bocloud.ams.entity.module;

import com.bocloud.ams.entity.association.AutoRelationRuleItem;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @Author liuyuanyuan
 * @Date 2022/5/6 0006 20:42
 * @Description:
 */
@Data
@Table("ci_module_relation")
@EqualsAndHashCode(callSuper = true)
public class ModuleRelation extends GenericEntity {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("source_id")
    private Long sourceId;
    @Column("source_type")
    private String sourceType;
    @Column("source_code")
    private String sourceCode;
    @Column("target_type")
    private String targetType;
    @Column("relation_id")
    private Long relationId;
    @Column("target_id")
    private Long targetId;
    @Column("target_code")
    private String targetCode;
    /**
     * @Description: 关联类型分组id
     */
    @Column("relation_category_id")
    private Long relationCategoryId;

    @Column("relation_category_code")
    private String relationCategoryCode;

    @IgnoreAll
    private String relationName;
    @IgnoreAll
    private String relationCategoryName;
    /**
     * 关联类型code
     */
    @IgnoreAll
    private String relationCode;

    @IgnoreAll
    private Boolean isReversed = false;

    @IgnoreAll
    private List<AutoRelationRuleItem> ruleItemList;

    @IgnoreAll
    private List<ModuleRelation> cmdbModuleRelationList;

    @IgnoreAll
    private String sourceName;

    @IgnoreAll
    private String targetName;

    @IgnoreAll
    private String relationReverseName;

    @IgnoreAll
    private String rule;

    @IgnoreAll
    private Long moduleId;

    @IgnoreAll
    private String iconImage;
}
