package com.bocloud.ams.entity.module;


import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Description: cmdb关联类型分组
 * @Author majiali
 * @CreateTime 2022/5/5 14:02
 */
@Data
@Table("ci_relation_category")
@EqualsAndHashCode(callSuper = true)
public class RelationCategory extends GenericEntity {
    /**
     * 主键ID
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;

    @Column("code")
    private String code;


    /**
     * '0:启用 1:停用',
     */
    @Column("is_reserved")
    private Boolean isReserved = false;
    /**
     * '0:用户定义 1:系统内置',
     */
    @Column("is_disabled")
    private Boolean isDisabled = false;


}
