package com.bocloud.ams.repository.module;

import com.bocloud.ams.entity.module.RegularExpression;
import com.megatron.common.utils.Common;
import com.megatron.common.utils.MapTools;
import com.megatron.database.core.intf.impl.BasicGenericDao;
import com.megatron.framework.core.CurrentService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.List;

/**
 * @author 胡立伟
 * @program: bocloud.ams
 * @description:
 * @date 2022/5/5 12:07
 */
@Repository
public class RegularExpressionRepository extends BasicGenericDao<RegularExpression, Long> {

    public RegularExpressionRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    public RegularExpression query(Long id) {
        String sql = "select * from ci_regular_expression a where a.id = :id and is_deleted = 0";
        List<RegularExpression> list = this.list(RegularExpression.class, sql, MapTools.simpleMap(Common.ID, id));
        return list.isEmpty() ? null : list.get(0);
    }

    public RegularExpression query(Long id, String positionKey) {
        String sql;
        if (StringUtils.isNotEmpty(positionKey)) {
            sql = "select * from "+positionKey+".ci_regular_expression a where a.id = :id and is_deleted = 0";
        } else {
            sql = "select * from ci_regular_expression a where a.id = :id and is_deleted = 0";
        }
        List<RegularExpression> list = this.list(RegularExpression.class, sql, MapTools.simpleMap(Common.ID, id));
        return list.isEmpty() ? null : list.get(0);
    }

    public List<RegularExpression> listAll() throws Exception {
        String sql = "select * from ci_regular_expression where is_deleted = 0";
        return this.list(RegularExpression.class, sql, new HashMap<String, Object>(10));
    }

    public List<RegularExpression> listAll(String positionKey) throws Exception {
        String sql;
        if (StringUtils.isNotEmpty(positionKey)) {
            sql = "select * from "+positionKey+".ci_regular_expression where is_deleted = 0";
        } else {
            sql = "select * from ci_regular_expression where is_deleted = 0";
        }
        return this.list(RegularExpression.class, sql, new HashMap<String, Object>(10));
    }

}
