package com.bocloud.ams.service.association.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.bocloud.ams.entity.association.AutoRelationRuleItem;
import com.bocloud.ams.repository.association.AutoRelationRuleItemRepository;
import com.bocloud.ams.service.association.AutoRelationRuleItemService;
import com.megatron.common.model.GeneralResult;

import lombok.extern.slf4j.Slf4j;

/**
 * @Author liuyuanyuan
 * @Date 2022/5/9 0009 18:03
 * @Description:
 */
@Slf4j
@Service("autoRelationRuleItemService")
public class AutoRelationRuleItemServiceImpl implements AutoRelationRuleItemService {

    @Autowired
    private AutoRelationRuleItemRepository autoRelationRuleItemRepository;

    @Override
    public GeneralResult<AutoRelationRuleItem> detail(Long id) {
        try {
            AutoRelationRuleItem item = autoRelationRuleItemRepository.query(id);
            if (null == item) {
                return new GeneralResult<>(false, "数据不存在");
            }
            return new GeneralResult<>(true, item, "查询成功");
        } catch (Exception e) {
            log.error("query rule item detail is fail:", e);
            return new GeneralResult<>(false, "查询失败");
        }
    }

}
