package com.bocloud.ams.service.instance;

import com.bocloud.ams.entity.instance.Instance;
import com.megatron.common.model.GeneralResult;

/**
 * @Author majiali
 * @Date 2022/5/16 0016 14:24
 * @Description:
 */
public interface InstanceAutoRelationService {

    /**
     * @param instance 实例信息
     * @param userId   用户id
     * @Description: 实例创建（实例变更） 属性变更，触发自动关联任务
     * @Author majiali
     * @CreateTime 2022/6/6 9:11
     */
    GeneralResult<Void> instanceAutoRelation(Instance instance, Long userId);

    /**
     * @Description: 全量处理模型实例关系
     * @Author majiali
     * @CreateTime 2022/6/9 15:03
     */
    GeneralResult<Void> autoRelation();

    /**
     * @Description: 处理模型实例关系
     * @Author majiali
     * @CreateTime 2022/6/14 15:03
     */
    GeneralResult<Void> autoRelationByModuleId(Long moduleId);
}
