package com.bocloud.ams.service.internal;


import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.boot.model.BocloudToken;
import com.megatron.common.model.GeneralResult;
import com.megatron.framework.core.CurrentService;
import com.megatron.framework.http.core.ServiceFactory;
import com.megatron.framework.http.model.RemoteService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import com.megatron.framework.http.core.HttpMethod;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

@Service
@Slf4j
public class CmpInternalService implements InitializingBean {


    private Map<String, Object> headers = new HashMap<>(4);
    private static final com.megatron.framework.core.Service SERVICE = com.megatron.framework.core.Service.create("cmp");


    @Autowired
    private CurrentService currentService;
    @Autowired
    private ServiceFactory serviceFactory;



    public GeneralResult<JSONObject> list(Map<String,Object> params) {
        String url = "/v1/vms";
        RemoteService remoteService = serviceFactory.build(SERVICE, url, HttpMethod.GET, headers, params);
        GeneralResult<?> result = remoteService.invoke();
        if (result.isFailed()) {
            return new GeneralResult<>(false, result.getMessage());
        }
        String data = JSONObject.toJSONString(result.getData());
        return new GeneralResult<>(true, JSONObject.parseObject(data), "success");
    }



    @Override
    public void afterPropertiesSet() throws Exception {

        this.headers.put(BocloudToken.INTERNAL_TOKEN, currentService.getToken());
        this.headers.put("source", currentService.getService().getName());
    }
}
