package com.bocloud.ams.service.module;

import com.bocloud.ams.entity.model.ModuleTopo;
import com.bocloud.ams.entity.module.CiModule;
import com.bocloud.ams.entity.module.ModuleRelation;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;

import java.util.List;

public interface ModuleRelationService {
    /**
     * 添加
     *
     * @param relation
     * @return
     */
    public GeneralResult create(ModuleRelation relation, Long userId);

    /**
     * 修改
     *
     * @param relation
     * @return
     */
    public GeneralResult modify(ModuleRelation relation, Long userId);

    public GeneralResult detail(Long id, String positionKey);

    /**
     * 删除
     *
     * @param id
     * @return
     */
    public GeneralResult remove(Long id, Long userId);

    /**
     * 查询所有
     *
     * @param moduleId           模型id
     * @param relationCategoryId 关联类型分组id
     */
    GeneralResult<ModuleTopo> list(Long moduleId, Long relationCategoryId, String positionKey);

    /**
     * 查询所有
     *
     * @param relationCategoryId 关联类型分组id
     */
    GeneralResult<ModuleTopo> listByCategoryId(Long relationCategoryId, String positionKey);

    /**
     * @param relationCategoryId
     * @param sourceId
     * @param targetId
     * @Description: 根据拓扑，模型数据查询模型关系
     */
    GeneralResult<ModuleRelation> relevancy(Long relationCategoryId, Long sourceId, Long targetId, String positionKey);

    /**
     * 关联类型分组id查询模型集合
     *
     * @param relationCategoryId
     * @return
     */
    GeneralResult<List<CiModule>> moduleList(Long relationCategoryId, String positionKey);

    /***
     * 根据模型关系及指定模型获取模型实例
     * @param pager
     * @param userId
     * @return
     */
    GeneralResult instances(Pager pager, Long userId,  String positionKey);
}
