package com.bocloud.ams.service.module;

import com.bocloud.ams.entity.module.ModuleRelation;
import com.bocloud.ams.entity.module.RelationCategory;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.Param;

import java.util.List;
import java.util.Map;

public interface RelationCategoryService {
    /**
     * 添加
     *
     * @param relationCategory
     * @return
     */
    public GeneralResult create(RelationCategory relationCategory, Long userId);

    /**
     * 修改
     *
     * @param relationCategory
     * @return
     */
    public GeneralResult modify(RelationCategory relationCategory, Long userId);

    /**
     * 删除
     *
     * @param id
     * @return
     */
    public GeneralResult remove(Long id, Long userId);

    /**
     * 列表分页查询
     *
     * @param pager
     * @return
     */
    public GeneralResult list(Pager pager, String positionKey);

    /**
     * 列表分页查询
     *
     * @param param
     * @param sorter
     * @return
     */
    public GeneralResult listAll(List<Param> param, Map<String, String> sorter, String positionKey);

    /***
     * 根据关系分组及模型获取模型关系
     * @param id
     * @param moduleId
     * @return
     */
    GeneralResult<List<ModuleRelation>> moduleRelationList(Long id, Long moduleId, String positionKey);

    GeneralResult listByModuleId(Long moduleId, String positionKey);

}
