package com.bocloud.ams.service.utils;


import com.bocloud.cmp.boot.model.BoCloudExchange;
import com.megatron.common.model.OperateResult;
import com.megatron.common.model.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.AmqpException;
import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @ClassName: EventPublisher
 * @Description 事件通知
 * @Author yangzhenrong
 * @Date 2022/6/10 11:05
 * @Version 1.0
 **/
@Slf4j
@Component
public class EventPublisher {
    @Autowired
    private AmqpTemplate amqpTemplate;
    private static String EXCHANGE = BoCloudExchange.Default.TOPIC.getExchange();
    private static String ROUITING = "bocloud.message.queue.#";

    public Result send(Object message) {
        try {
            if (message instanceof OperateResult) {
                OperateResult result = (OperateResult) message;
                result.setOperate(null == result.getOperate() ? "" : result.getOperate());
                message = result;
            }
            this.amqpTemplate.convertAndSend(EXCHANGE, ROUITING, message);
            return new Result(true, "success");
        } catch (AmqpException e) {
            log.error("Send Event Error:", e);
            return new Result(false, "发送失败");
        }
    }
}
