package com.bocloud.ams.task.model;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class Job {

	private String taskId;
	private Integer priority = 100;
	private String submitNodeGroup;
	private String taskTrackerNodeGroup;
	private Map<String, String> extParams;
	private boolean needFeedback = false;
	private int maxRetryTimes = 0;
	private String cronExpression;
	private int repeatCount = 0;
	private Long repeatInterval;
	private Long triggerTime;
	private boolean replaceOnExist = false;
	private boolean relyOnPrevCycle = true;

	public Integer getPriority() {
		return priority;
	}

	public void setPriority(Integer priority) {
		this.priority = priority;
	}

	public String getTaskId() {
		return taskId;
	}

	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	public String getSubmitNodeGroup() {
		return submitNodeGroup;
	}

	public void setSubmitNodeGroup(String submitNodeGroup) {
		this.submitNodeGroup = submitNodeGroup;
	}

	public String getTaskTrackerNodeGroup() {
		return taskTrackerNodeGroup;
	}

	public void setTaskTrackerNodeGroup(String taskTrackerNodeGroup) {
		this.taskTrackerNodeGroup = taskTrackerNodeGroup;
	}

	public boolean isNeedFeedback() {
		return needFeedback;
	}

	public void setNeedFeedback(boolean needFeedback) {
		this.needFeedback = needFeedback;
	}

	public Map<String, String> getExtParams() {
		return extParams;
	}

	public void setExtParams(Map<String, String> extParams) {
		this.extParams = extParams;
	}

	public String getParam(String key) {
		if (extParams == null) {
			return null;
		}
		return extParams.get(key);
	}

	public void setParam(String key, String value) {
		if (extParams == null) {
			extParams = new HashMap<String, String>();
		}
		extParams.put(key, value);
	}

	public String getCronExpression() {
		return cronExpression;
	}

	public void setCronExpression(String cronExpression) {
		this.cronExpression = cronExpression;
	}

	public boolean isCron() {
		return this.cronExpression != null && !"".equals(this.cronExpression.trim());
	}

	public boolean isRepeatable() {
		return (this.repeatInterval != null && this.repeatInterval > 0)
				&& (this.repeatCount >= -1 && this.repeatCount != 0);
	}

	public void setTriggerDate(Date date) {
		if (date != null) {
			this.triggerTime = date.getTime();
		}
	}

	public Long getTriggerTime() {
		return triggerTime;
	}

	public void setTriggerTime(Long triggerTime) {
		this.triggerTime = triggerTime;
	}

	public boolean isReplaceOnExist() {
		return replaceOnExist;
	}

	public void setReplaceOnExist(boolean replaceOnExist) {
		this.replaceOnExist = replaceOnExist;
	}

	public int getMaxRetryTimes() {
		return maxRetryTimes;
	}

	public void setMaxRetryTimes(int maxRetryTimes) {
		this.maxRetryTimes = maxRetryTimes;
	}

	public int getRepeatCount() {
		return repeatCount;
	}

	public void setRepeatCount(int repeatCount) {
		this.repeatCount = repeatCount;
	}

	public Long getRepeatInterval() {
		return repeatInterval;
	}

	public void setRepeatInterval(Long repeatInterval) {
		this.repeatInterval = repeatInterval;
	}

	public boolean isRelyOnPrevCycle() {
		return relyOnPrevCycle;
	}

	public void setRelyOnPrevCycle(boolean relyOnPrevCycle) {
		this.relyOnPrevCycle = relyOnPrevCycle;
	}

}
