package com.bocloud.ams.task.utils;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.ams.task.worker.InputClassLocator;

import lombok.extern.slf4j.Slf4j;

@Slf4j
public class ParamBuilder {

    private InputClassLocator locator;

    /**
     * 默认构造方法
     */
    public ParamBuilder() {
        this.locator = new InputClassLocator();
    }

    /**
     * 参数构建
     *
     * @param code
     *            任务节点模型 例如：task.resource.cvm.osp
     * @param data
     *            任务节点数据
     * @return 任务节点执行器的执行任务参数
     */
    public Object buildParam(String code, String data) {
        Class<?> clazz = locator.getInputClass(code);
        try {
            return JSONObject.parseObject(data, clazz);
        } catch (Exception e) {
            log.error("transfer task param of code {} error!", code, e);
        }
        return null;
    }

}